> For the complete documentation index, see [llms.txt](https://docs.cloudassert.com/azure-stack-vconnect/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudassert.com/azure-stack-vconnect/2.1.12/installation/steps-for-version-update.md).

# Steps for version update

### Pre-uninstall steps

* Take a backup of Cloud Assert VConnect database
* Take a backup copy of the following files

| File Name   | File Path                                     |
| ----------- | --------------------------------------------- |
| Web.config  | C:\inetpub\MgmtSvc-CloudAssert-VConnect       |
| License.cal | C:\inetpub\MgmtSvc-CloudAssert-VConnect\bin   |
| Web.config  | C:\inetpub\AzureStack-VConnectAdminExtension  |
| Web.config  | C:\inetpub\AzureStack-VConnectRP              |
| Web.config  | C:\inetpub\AzureStack-VConnectTenantExtension |

### Uninstallation steps

* Uninstall the VConnect service from Control Panel > Programs and features > Uninstall a program

### Installation steps

* Extract the VConnect installers to a location.
* Install the VConnect Service using ‘CloudAssert.WAP.VConnect.Service.Setup.msi’ installer ➢ Open a new command prompt as administrator.
* Change the directory to the AdminExtension folder and run the command **“CloudAssert.AzureStack.VConnect.Extension.Admin.deploy.cmd /y”**
* Change the directory to the TenantExtension folder and run the command **“CloudAssert.AzureStack.VConnect.Extension.Tenant.deploy.cmd /y”**
* Change the directory to the RPWeb folder and run the command **“CloudAssert.AzureStack.VConnect.RP.Web.deploy.cmd /y”**

### Post-installation steps

* Replace the web.config files with the backed-up copies.
* Update the database using VConnect tool.
  * Open a powershell window
  * Navigate to the location of the VConnect tool
  * Run the below command by replacing the necessary values to update the database settings

`.\VCONNECT.EXE UpdateDatabaseSettings <serverName> <databaseName> <userName> <password> [/isUseIntegratedSecurity] [/VConnectApiEndpoint:<String>] [/VConnectApiUserName:<String>] [/VConnectApiPassword:<String>]`

* Recycle the IIS application pool for the following sites.
  * AzureStack-VConnectAdminExtension&#x20;
  * AzureStack-VConnectRP
  * AzureStack-VConnectTenantExtension
  * MgmtSvc-CloudAssert-VConnect


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloudassert.com/azure-stack-vconnect/2.1.12/installation/steps-for-version-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
